# Enum Class VulkanColorSpaceKHR

java.lang.Object
java.lang.Enum<VulkanColorSpaceKHR>
com.io7m.jcoronado.extensions.khr_swapchain.api.VulkanColorSpaceKHR

All Implemented Interfaces:
  `VulkanEnumIntegerType`, `Serializable`, `Comparable<VulkanColorSpaceKHR>`, `Constable`

public enum VulkanColorSpaceKHR extends Enum<VulkanColorSpaceKHR> implements VulkanEnumIntegerType

See Also:
  - "VkColorSpaceKHR"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_COLOR_SPACE_SRGB_NONLINEAR_KHR`
  The presentation engine supports the sRGB colorspace.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Optional<VulkanColorSpaceKHR>`
  `fromInteger(int v)`
  `int`
  `value()`
  `static VulkanColorSpaceKHR`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanColorSpaceKHR[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_COLOR_SPACE_SRGB_NONLINEAR_KHR

    public static final VulkanColorSpaceKHR VK_COLOR_SPACE_SRGB_NONLINEAR_KHR
    The presentation engine supports the sRGB colorspace.

- ## Method Details

  - ### values

    public static VulkanColorSpaceKHR[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanColorSpaceKHR valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromInteger

    public static Optional<VulkanColorSpaceKHR> fromInteger(int v)
    Parameters:
      `v` - The constant's integer value
    Returns:
      The constant associated with the given integer value

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant